ViewCreate3dView Method (Drawing, CoordinateSystem, CoordinateSystem, AABB, Point, ViewViewAttributes, View)

Generates a new 3d view on the sheet of the given drawing using given view plane and display plane.

Namespace:  Tekla.Structures.Drawing
Assembly:  Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
public static bool Create3dView(
	Drawing drawing,
	CoordinateSystem viewPlane,
	CoordinateSystem displayPlane,
	AABB viewExtrema,
	Point viewInsertionPoint,
	ViewViewAttributes viewAttributes,
	out View view
)

Parameters

drawing
Type: Tekla.Structures.DrawingDrawing
The drawing in which to create the view.
viewPlane
Type: Tekla.Structures.Geometry3dCoordinateSystem
The view plane.
displayPlane
Type: Tekla.Structures.Geometry3dCoordinateSystem
The display plane of the view.
viewExtrema
Type: Tekla.Structures.Geometry3dAABB
The restriction box of the view.
viewInsertionPoint
Type: Tekla.Structures.Geometry3dPoint
The center point of the view.
viewAttributes
Type: Tekla.Structures.DrawingViewViewAttributes
The attributes for the view to be created.
view
Type: Tekla.Structures.DrawingView
The created view is returned if the creation was successful. Otherwise, null is returned.

Return Value

Type: Boolean
True if the view was created successfully.
Exceptions
ExceptionCondition
InvalidTypeExceptionThrown if given drawing is GA drawing.
TeklaStructuresDrawingsApplicationExceptionThrown if an unknown error occurrs.
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next